## playerctl 2.0.2

=== meson_options.txt ===
option('gtk-doc', type: 'boolean', value: true, description: 'build docs')
option('introspection', type: 'boolean', value: true, description: 'build gir data')

## playerctl 0.6.1

=== debian/changelog ===
playerctl (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * debian/control:
    - declare compliance with Debian Policy 4.2.0 (no changes)
    - migrate Vcs-* fields to salsa.debian.org
  * debian/patches:
    - Drop 0001-manpage-version.patch (applied upstream)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Wed, 22 Aug 2018 23:24:26 +0100

playerctl (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * debian/copyright: refresh for 0.6.0 release
  * debian/patches:
    - Drop 0001-fix-parallel-build.patch (applied upstream)
    - Drop 0002-add-upstream-changelog.patch (applied upstream)
    - Drop 0003-rename-gir-files.patch (applied upstream)
    - Drop 0004-playerctl-manpage.patch (applied upstream)
    - Add 0001-manpage-version.patch
  * debian/rules:
    - remove unnecessary comments
    - refactor ignored libraries into variable
    - update for new upstream changelog
    - set DPKG_GENSYMBOLS_CHECK_LEVEL = 4 to strongly interrogate symbols

 -- Nick Morrott <knowledgejunkie@gmail.com>  Tue, 22 May 2018 09:37:13 +0100

playerctl (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #818044)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sat, 14 Apr 2018 04:08:27 +0100

=== debian/control ===
Source: playerctl
Section: sound
Priority: optional
Maintainer: Nick Morrott <knowledgejunkie@gmail.com>
Build-Depends: debhelper (>= 11),
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev,
               pkg-config
Standards-Version: 4.2.0
Homepage: https://github.com/acrisci/playerctl
Vcs-Git: https://salsa.debian.org/nickm-guest/playerctl.git
Vcs-Browser: https://salsa.debian.org/nickm-guest/playerctl

Package: playerctl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus
Suggests: audacious,
          cmus,
          mopidy,
          mpd,
          quodlibet,
          rhythmbox-plugins,
          vlc,
          xmms2
Enhances: awesome,
          i3-wm,
          xmonad
Description: utility to control media players via MPRIS
 Playerctl is a command-line utility and library for controlling media players
 that implement the MPRIS D-Bus Interface Specification. Compatible players
 include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
 xmms2.
 .
 Playerctl makes it easy to bind player actions, such as play and pause,
 to media keys. Playerctl also provides an introspectable library accessible
 in many popular scripting languages that allows more detailed control like
 the ability to subscribe to media player events or get metadata such as
 artist and title for the playing track.

Package: libplayerctl-1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: utility to control media players via MPRIS (library)
 Playerctl is a command-line utility and library for controlling media players
 that implement the MPRIS D-Bus Interface Specification. Compatible players
 include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
 xmms2.
 .
 Playerctl makes it easy to bind player actions, such as play and pause,
 to media keys. Playerctl also provides an introspectable library accessible
 in many popular scripting languages that allows more detailed control like
 the ability to subscribe to media player events or get metadata such as
 artist and title for the playing track.
 .
 This package contains the shared library.

Package: libplayerctl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libplayerctl-1.0-0 (= ${binary:Version}),
         gir1.2-playerctl-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Suggests: libplayerctl-doc
Description: utility to control media players via MPRIS (development files)
 Playerctl is a command-line utility and library for controlling media players
 that implement the MPRIS D-Bus Interface Specification. Compatible players
 include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
 xmms2.
 .
 Playerctl makes it easy to bind player actions, such as play and pause,
 to media keys. Playerctl also provides an introspectable library accessible
 in many popular scripting languages that allows more detailed control like
 the ability to subscribe to media player events or get metadata such as
 artist and title for the playing track.
 .
 This package contains the development files.

Package: libplayerctl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: utility to control media players via MPRIS (documentation)
 Playerctl is a command-line utility and library for controlling media players
 that implement the MPRIS D-Bus Interface Specification. Compatible players
 include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
 xmms2.
 .
 Playerctl makes it easy to bind player actions, such as play and pause,
 to media keys. Playerctl also provides an introspectable library accessible
 in many popular scripting languages that allows more detailed control like
 the ability to subscribe to media player events or get metadata such as
 artist and title for the playing track.
 .
 This package contains the API documentation.

Package: gir1.2-playerctl-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends}
Description: utility to control media players via MPRIS (gir bindings)
 Playerctl is a command-line utility and library for controlling media players
 that implement the MPRIS D-Bus Interface Specification. Compatible players
 include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
 xmms2.
 .
 Playerctl makes it easy to bind player actions, such as play and pause,
 to media keys. Playerctl also provides an introspectable library accessible
 in many popular scripting languages that allows more detailed control like
 the ability to subscribe to media player events or get metadata such as
 artist and title for the playing track.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ignored_libraries := -Xlibplayerctl-1.0.la -Xlibplayerctl-1.0.a

%:
	dh $@ --with gir

# Ensure gtk-doc.make is available
override_dh_autoreconf:
	gtkdocize --copy
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk_doc --with-introspection

# All binary packages get the upstream changelog
override_dh_installchangelogs:
	dh_installchangelogs -A CHANGELOG.md

override_dh_install:
	dh_install ${ignored_libraries}

override_dh_missing:
	dh_missing ${ignored_libraries} --fail-missing

## playerctl 2.0.1

=== debian/changelog ===
playerctl (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/control: migrate packaging to Debian Multimedia team
  * d/control: reformat/resort dependency lists
  * d/{control,rules}: migrate buildsystem to meson
  * d/control: declare compliance with Debian Policy 4.3.0
  * d/{control,compat}: bump debhelper compatibility level to 12
  * d/copyright: refresh Debian copyright years
  * d/copyright: refresh upstream copyright details
  * d/patches: drop autotools patch (upstream switched to meson)
  * d/{control,rules,*.install}: refresh package layout
  * d/playerctl.examples: install example control scripts
  * d/NEWS: detail breaking changes
  * d/gbp.conf: use pristine-tar
  * d/patches: add update-manpage-date
  * d/tests: add simple autopkgtest to check CLI at runtime
  * Drop symbols file

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 20 Jan 2019 18:48:57 +0000

playerctl (0.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/build-Use-PKG_CHECK_VAR-to-check-for-gdbus-codegen.patch:
    Use PKG_CHECK_VAR to check for gdbus-codegen.
    This is the upstream-recommended pattern for detecting gdbus-codegen
    in an Autotools build system, and it fixes failure to build from source
    with recent versions of GLib, in which
    `$PKG_CONFIG --variable=gdbus_codegen gio-2.0` returns an absolute
    path that is not a valid input to AC_PATH_PROG. (Closes: #910342)

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Oct 2018 09:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,41 @@
 Source: playerctl
 Section: sound
 Priority: optional
-Maintainer: Nick Morrott <knowledgejunkie@gmail.com>
-Build-Depends: debhelper (>= 11),
-               gobject-introspection,
-               gtk-doc-tools,
-               intltool,
-               libgirepository1.0-dev,
-               libglib2.0-dev,
-               pkg-config
-Standards-Version: 4.2.0
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
+Build-Depends:
+ debhelper (>= 12),
+ gobject-introspection,
+ gtk-doc-tools,
+ intltool,
+ libgirepository1.0-dev,
+ libglib2.0-dev,
+ meson (>= 0.46.0),
+ pkg-config,
+Standards-Version: 4.3.0
 Homepage: https://github.com/acrisci/playerctl
-Vcs-Git: https://salsa.debian.org/nickm-guest/playerctl.git
-Vcs-Browser: https://salsa.debian.org/nickm-guest/playerctl
+Vcs-Git: https://salsa.debian.org/multimedia-team/playerctl.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/playerctl
 
 Package: playerctl
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         dbus
-Suggests: audacious,
-          cmus,
-          mopidy,
-          mpd,
-          quodlibet,
-          rhythmbox-plugins,
-          vlc,
-          xmms2
-Enhances: awesome,
-          i3-wm,
-          xmonad
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ dbus,
+Suggests:
+ audacious,
+ cmus,
+ mopidy,
+ mpd,
+ quodlibet,
+ rhythmbox-plugins,
+ vlc,
+ xmms2,
+Enhances:
+ awesome,
+ i3-wm,
+ xmonad,
 Description: utility to control media players via MPRIS
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
@@ -42,12 +48,13 @@
  the ability to subscribe to media player events or get metadata such as
  artist and title for the playing track.
 
-Package: libplayerctl-1.0-0
+Package: libplayerctl2
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: utility to control media players via MPRIS (library)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
@@ -66,11 +73,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libplayerctl-1.0-0 (= ${binary:Version}),
-         gir1.2-playerctl-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
-         ${misc:Depends}
-Suggests: libplayerctl-doc
+Depends:
+ gir1.2-playerctl-2.0 (= ${binary:Version}),
+ libglib2.0-dev,
+ libplayerctl2 (= ${binary:Version}),
+ ${misc:Depends},
+Suggests:
+ libplayerctl-doc,
 Description: utility to control media players via MPRIS (development files)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
@@ -89,8 +98,10 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
-Suggests: devhelp
+Depends:
+ ${misc:Depends},
+Suggests:
+ devhelp,
 Description: utility to control media players via MPRIS (documentation)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
@@ -105,12 +116,13 @@
  .
  This package contains the API documentation.
 
-Package: gir1.2-playerctl-1.0
+Package: gir1.2-playerctl-2.0
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends:
+ ${gir:Depends},
+ ${misc:Depends},
 Description: utility to control media players via MPRIS (gir bindings)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ignored_libraries := -Xlibplayerctl.a

%:
	dh $@ --with gir --buildsystem=meson

# All binary packages get the upstream changelog
override_dh_installchangelogs:
	dh_installchangelogs -A CHANGELOG.md

override_dh_install:
	dh_install ${ignored_libraries}

override_dh_missing:
	dh_missing ${ignored_libraries} --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
  https://github.com/acrisci/playerctl/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## playerctl 2.0.2

=== debian/changelog ===
playerctl (2.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Nick Morrott ]
  * New upstream version 2.0.2
  * Drop patch update-manpage-date (applied upstream)
  * Update watch file template

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 15 Aug 2019 06:15:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  gobject-introspection,
  gtk-doc-tools,
  intltool,
@@ -12,7 +12,7 @@
  libglib2.0-dev,
  meson (>= 0.46.0),
  pkg-config,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/acrisci/playerctl
 Vcs-Git: https://salsa.debian.org/multimedia-team/playerctl.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/playerctl

=== debian/tests/control ===
Depends: @
Tests: playerctl-cli

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%playerctl-$1.tar.gz%" \
  https://github.com/acrisci/playerctl/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## playerctl 2.3.1

=== Makefile ===
.PHONY: test docker-test format all
.DEFAULT_GOAL := all

FORMAT_C_SOURCE = $(shell find playerctl | grep \.[ch]$)
EXECUTABLES = clang-format python3 docker yapf dbus-run-session
K := $(foreach exec,$(EXECUTABLES),\
        $(if $(shell which $(exec)),some string,$(error "No $(exec) in PATH")))

test:
	dbus-run-session python3 -m pytest -sq

docker-test:
	docker build -t playerctl-test .
	docker run -it playerctl-test

format:
	yapf -rip test examples
	clang-format -i ${FORMAT_C_SOURCE}

lint:
	flake8 test

all: format docker-test

=== meson_options.txt ===
option('gtk-doc', type: 'boolean', value: true, description: 'build docs')
option('introspection', type: 'boolean', value: true, description: 'build gir data')
option('bash-completions', type: 'boolean', value: false, description: 'Install bash shell completions.')
option('zsh-completions', type: 'boolean', value: false, description: 'Install zsh shell completions.')

=== debian/changelog ===
playerctl (2.3.1-1) unstable; urgency=medium

  [ Edward Betts ]
  * Upstream GitHub repo has moved, update URL.

  [ Nick Morrott ]
  * New upstream version 2.3.1
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
    - Bump debhelper compatibility level to 13
    - Refresh B-D with updated meson requirement
    - Add Rules-Requires-Root field, set to no
    - Refresh Uploader email address
    - Add mpv to list of controllable players
    - Add scaffolding for build tests
  * d/copyright:
    - Refresh upstream Files stanzas for updated source
    - Refresh years of Debian copyright and email address
  * d/libplayerctl-doc.lintian-overrides:
    - Add overrides for gtk-doc content
  * d/patches:
    - Add patch spelling-error-in-binary
    - Add patch bash-completion-with-hashbang
  * d/playerctl.install:
    - Install playerctld and D-Bus service
  * d/playerctld.1:
    - Add manpage for playerctld binary
  * d/rules:
    - Install bash/zsh playerctl completions
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline
  * d/t/control:
    - Mark autopkgtest as superficial
  * d/u/metadata:
    - Remove deprecated Contact, Name fields
  * d/watch:
    - Update watchfile to use v4 substitution variables

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 21:26:41 +0000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,24 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
+Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+# Tests disabled, waiting for python3-dbus-next to be packaged
+# dbus <!nocheck>,
+ debhelper-compat (= 13),
  gobject-introspection,
  gtk-doc-tools,
  intltool,
  libgirepository1.0-dev,
  libglib2.0-dev,
- meson (>= 0.46.0),
+ meson (>= 0.50.0),
+ pandoc,
  pkg-config,
-Standards-Version: 4.4.0
-Homepage: https://github.com/acrisci/playerctl
+# python3 <!nocheck>,
+# python3-pytest <!nocheck>,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://github.com/altdesktop/playerctl
 Vcs-Git: https://salsa.debian.org/multimedia-team/playerctl.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/playerctl
 
@@ -28,6 +34,7 @@
  cmus,
  mopidy,
  mpd,
+ mpv,
  quodlibet,
  rhythmbox-plugins,
  vlc,
@@ -39,8 +46,8 @@
 Description: utility to control media players via MPRIS
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
- include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
- xmms2.
+ include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
+ vlc and xmms2.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -58,8 +65,8 @@
 Description: utility to control media players via MPRIS (library)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
- include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
- xmms2.
+ include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
+ vlc and xmms2.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -83,8 +90,8 @@
 Description: utility to control media players via MPRIS (development files)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
- include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
- xmms2.
+ include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
+ vlc and xmms2.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -105,8 +112,8 @@
 Description: utility to control media players via MPRIS (documentation)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
- include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
- xmms2.
+ include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
+ vlc and xmms2.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -126,8 +133,8 @@
 Description: utility to control media players via MPRIS (gir bindings)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
- include audacious, cmus, mopidy, mpd, quod libet, rhythmbox, spotify, vlc and
- xmms2.
+ include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
+ vlc and xmms2.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

PKGDIR=$(CURDIR)/debian/playerctl/

ignored_libraries := -Xlibplayerctl.a

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_build:
	dh_auto_build
	# build custom manpage for playerctld
	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
	sed -e "s/__VERSION__/$(DEB_VERSION_UPSTREAM)/g" \
				< debian/playerctld.1.md.in > debian/playerctld.1.md
	pandoc debian/playerctld.1.md -s -f markdown -t man -o debian/playerctld.1

# Disable tests: awaiting packaging of python3-dbus-next
#
#TESTHOMEDIR = $(CURDIR)/debian/testhome
#
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	mkdir -p $(TESTHOMEDIR)
#	XDG_RUNTIME_DIR=$(TESTHOMEDIR) dbus-run-session -- PYTHONPATH=. python3 -m pytest test
#endif

# All binary packages get the upstream changelog
override_dh_installchangelogs:
	dh_installchangelogs -A CHANGELOG.md

override_dh_install:
	dh_install ${ignored_libraries}
	# Install zsh completions
	mkdir -p $(PKGDIR)/usr/share/zsh/vendor-completions/
	install -m0644 -p $(CURDIR)/data/playerctl.zsh \
		$(PKGDIR)/usr/share/zsh/vendor-completions/_playerctl
	# install bash completions
	mkdir -p $(PKGDIR)/usr/share/bash-completion/completions/
	install -m0644 -p $(CURDIR)/data/playerctl.bash \
		$(PKGDIR)/usr/share/bash-completion/completions/playerctl

override_dh_missing:
	dh_missing ${ignored_libraries} --fail-missing

override_dh_clean:
	rm -rf $(TESTHOMEDIR)
	dh_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/altdesktop/playerctl/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## playerctl 2.4.1

=== requirements.txt ===
dbus-next
meson
pytest
pytest-timeout
pytest-asyncio

=== debian/changelog ===
playerctl (2.4.1-3) unstable; urgency=medium

  [ Nick Morrott ]
  * d/clean:
    - Remove intermediate files generated during build
  * d/control:
    - Declare compliance with Debian Policy 4.7.0
    - Use cross g-ir-scanner to support cross-compiling (Refs: #1060838)
    - Refresh deps for gir substvars and tests
  * d/copyright:
    - Refresh years of Debian copyright
  * d/libplayerctl-doc.lintian-overrides:
    - Drop unused overrides
  * d/patches:
    - Add patch add-toggle-to-shuffle-completion
    - Add patch pytest-asyncio-config
  * d/rules:
    - Simplify dh call
    - Enable more comprehensive tests
  * d/tests:
    - Add comprehensive autopkgtests

  [ Christian Buschau ]
  * d/control:
    - Update B-Deps: pkg-config -> pkgconf
    - Don't depend on specific D-Bus implementation (Closes: #1094449)

 -- Nick Morrott <nickm@debian.org>  Sun, 09 Feb 2025 04:31:15 +0000

playerctl (2.4.1-2) unstable; urgency=medium

  * d/control:
    - Drop Suggests for xmms2 (Closes: #1009930)

 -- Nick Morrott <nickm@debian.org>  Sun, 24 Apr 2022 04:46:23 +0100

playerctl (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * d/control:
    - Update standards version to 4.6.0, no changes needed.
    - Bump minimum version of meson required in B-D
  * d/copyright:
    - Refresh years of Debian copyright
    - Use 4 digits in Debian copyright year range
  * d/gbp.conf:
    - Rename master branch to debian/master
  * d/patches:
    - Drop patch spelling-error-in-binary (applied upstream)
  * d/rules:
    - Avoid explicitly specifying -Wl,--as-needed linker flag.
  * d/u/metadata:
    - Set upstream metadata fields: Bug-Database.
    - Remove unknown field Bug-Repository
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Thu, 03 Feb 2022 03:06:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,23 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
-# Tests disabled, waiting for python3-dbus-next to be packaged
-# dbus <!nocheck>,
+ dbus-x11 <!nocheck>,
  debhelper-compat (= 13),
+ dh-sequence-gir,
  gobject-introspection,
+ gobject-introspection (>= 1.78.1-9~) <cross>,
  gtk-doc-tools,
  intltool,
  libgirepository1.0-dev,
  libglib2.0-dev,
- meson (>= 0.50.0),
+ meson (>= 0.56.0),
  pandoc,
- pkg-config,
-# python3 <!nocheck>,
-# python3-pytest <!nocheck>,
-Standards-Version: 4.5.1
+ pkgconf,
+ python3-dbus-next <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/altdesktop/playerctl
 Vcs-Git: https://salsa.debian.org/multimedia-team/playerctl.git
@@ -28,7 +31,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- dbus,
+ default-dbus-session-bus | dbus-session-bus,
 Suggests:
  audacious,
  cmus,
@@ -38,7 +41,6 @@
  quodlibet,
  rhythmbox-plugins,
  vlc,
- xmms2,
 Enhances:
  awesome,
  i3-wm,
@@ -47,7 +49,7 @@
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
  include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
- vlc and xmms2.
+ and vlc.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -66,7 +68,7 @@
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
  include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
- vlc and xmms2.
+ and vlc.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -81,17 +83,19 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- gir1.2-playerctl-2.0 (= ${binary:Version}),
  libglib2.0-dev,
  libplayerctl2 (= ${binary:Version}),
+ ${gir:Depends},
  ${misc:Depends},
 Suggests:
  libplayerctl-doc,
+Provides:
+ ${gir:Provides},
 Description: utility to control media players via MPRIS (development files)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
  include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
- vlc and xmms2.
+ and vlc.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -113,7 +117,7 @@
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
  include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
- vlc and xmms2.
+ and vlc.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible
@@ -130,11 +134,14 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${gir:Provides},
 Description: utility to control media players via MPRIS (gir bindings)
  Playerctl is a command-line utility and library for controlling media players
  that implement the MPRIS D-Bus Interface Specification. Compatible players
  include audacious, cmus, mopidy, mpd, mpv, quod libet, rhythmbox, spotify,
- vlc and xmms2.
+ and vlc.
  .
  Playerctl makes it easy to bind player actions, such as play and pause,
  to media keys. Playerctl also provides an introspectable library accessible

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,28 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 PKGDIR=$(CURDIR)/debian/playerctl/
 
 ignored_libraries := -Xlibplayerctl.a
 
+meson_options =
+
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+native_or_cross = native
+else
+native_or_cross = cross
+meson_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
+endif
+
 %:
 	dh $@ --with gir --buildsystem=meson
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(meson_options) $(NULL)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -20,15 +32,17 @@
 				< debian/playerctld.1.md.in > debian/playerctld.1.md
 	pandoc debian/playerctld.1.md -s -f markdown -t man -o debian/playerctld.1
 
-# Disable tests: awaiting packaging of python3-dbus-next
-#
-#TESTHOMEDIR = $(CURDIR)/debian/testhome
-#
-#override_dh_auto_test:
-#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	mkdir -p $(TESTHOMEDIR)
-#	XDG_RUNTIME_DIR=$(TESTHOMEDIR) dbus-run-session -- PYTHONPATH=. python3 -m pytest test
-#endif
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PATH="$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/playerctl:${PATH}" \
+			dbus-run-session pytest test \
+			--deselect test/test_basics.py::test_system_list_players \
+			--deselect test/test_daemon.py::test_daemon_commands \
+			--deselect test/test_daemon.py::test_daemon_follow \
+			--deselect test/test_daemon.py::test_daemon_shift_simple \
+			--deselect test/test_daemon.py::test_daemon_shift_no_player \
+			--deselect test/test_daemon.py::test_active_player_change
+endif
 
 # All binary packages get the upstream changelog
 override_dh_installchangelogs:
@@ -47,7 +61,3 @@
 
 override_dh_missing:
 	dh_missing ${ignored_libraries} --fail-missing
-
-override_dh_clean:
-	rm -rf $(TESTHOMEDIR)
-	dh_clean

=== debian/tests/control ===
Tests: playerctl-cli
Depends: @builddeps@, @,
